Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# TAO_DIOP_Connection_Handler Class Reference

Handles requests on a single connection. More...

`#include <DIOP_Connection_Handler.h>`

Inheritance diagram for TAO_DIOP_Connection_Handler:

[legend]
Collaboration diagram for TAO_DIOP_Connection_Handler:

[legend]
List of all members.

## Public Methods
| TAO_DIOP_Connection_Handler (ACE_Thread_Manager *t=0)
| TAO_DIOP_Connection_Handler (TAO_ORB_Core *orb_core, CORBA::Boolean flag, void *arg)
| ~TAO_DIOP_Connection_Handler (void)
| Destructor.
virtual int | open (void *)
virtual int | open_server (void)
int | close (u_long=0)
int | add_transport_to_cache (void)
| Add ourselves to Cache.
virtual int | open_handler (void *)
Event Handler overloads
virtual int | resume_handler (void)
virtual int | close_connection (void)
virtual int | handle_input (ACE_HANDLE)
virtual int | handle_output (ACE_HANDLE)
virtual int | handle_close (ACE_HANDLE, ACE_Reactor_Mask)
virtual int | handle_timeout (const ACE_Time_Value &current_time, const void *act=0)
The DIOP Additions
ACE_HANDLE | get_handle (void) const
const ACE_INET_Addr & | addr (void)
void | addr (const ACE_INET_Addr &addr)
const ACE_INET_Addr & | local_addr (void)
void | local_addr (const ACE_INET_Addr &addr)
const ACE_INET_Addr & | server_addr (void)
void | server_addr (const ACE_INET_Addr &addr)
const ACE_SOCK_Dgram & | dgram (void)
## Protected Methods
TAO_Connection Handler overloads
virtual int | release_os_resources (void)
## Protected Attributes
The DIOP Additions
ACE_SOCK_Dgram | udp_socket_
ACE_INET_Addr | addr_
| This is always the remote address.
ACE_INET_Addr | local_addr_
| This is always the local address for the connector.
## Private Attributes
TAO_DIOP_Properties * | tcp_properties_
| TCP configuration for this connection.

## Detailed Description

Handles requests on a single connection.

The Connection handler which is common for the Acceptor and the Connector

## Constructor & Destructor Documentation

TAO_DIOP_Connection_Handler::TAO_DIOP_Connection_Handler | ( | ACE_Thread_Manager * | t = 0 | ) |

TAO_DIOP_Connection_Handler::TAO_DIOP_Connection_Handler | ( | TAO_ORB_Core * | orb_core,
|  | CORBA::Boolean | flag,
|  | void * | arg
| ) |

| Constructor. <arg> parameter is used by the Acceptor to pass the protocol configuration properties for this connection.

TAO_DIOP_Connection_Handler::~TAO_DIOP_Connection_Handler | ( | void |  | ) |

| Destructor.

## Member Function Documentation

int TAO_DIOP_Connection_Handler::add_transport_to_cache | ( | void |  | ) |

| Add ourselves to Cache.

void TAO_DIOP_Connection_Handler::addr | ( | const ACE_INET_Addr & | addr | ) |

const ACE_INET_Addr & TAO_DIOP_Connection_Handler::addr | ( | void |  | ) |

int TAO_DIOP_Connection_Handler::close | ( | u_long | = 0 | ) | `[virtual]`

| Close called by the Acceptor or Connector when connection establishment fails. Reimplemented from ACE_Svc_Handler< ACE_SOCK_STREAM, ACE_NULL_SYNCH >.

int TAO_DIOP_Connection_Handler::close_connection | ( | void |  | ) | `[virtual]`

| Implements TAO_Connection_Handler.

const ACE_SOCK_Dgram & TAO_DIOP_Connection_Handler::dgram | ( | void |  | ) |

ACE_HANDLE TAO_DIOP_Connection_Handler::get_handle | ( | void |  | ) | const`[virtual]`

| Reimplemented from ACE_Svc_Handler< ACE_SOCK_STREAM, ACE_NULL_SYNCH >.

int TAO_DIOP_Connection_Handler::handle_close | ( | ACE_HANDLE | ,
|  | ACE_Reactor_Mask |
| ) | `[virtual]`

| Reimplemented from ACE_Svc_Handler< ACE_SOCK_STREAM, ACE_NULL_SYNCH >.

int TAO_DIOP_Connection_Handler::handle_input | ( | ACE_HANDLE |  | ) | `[virtual]`

| Implements TAO_Connection_Handler.

int TAO_DIOP_Connection_Handler::handle_output | ( | ACE_HANDLE |  | ) | `[virtual]`

| Reimplemented from ACE_Event_Handler.

int TAO_DIOP_Connection_Handler::handle_timeout | ( | const ACE_Time_Value & | current_time,
|  | const void * | act = 0
| ) | `[virtual]`

| Reimplemented from ACE_Svc_Handler< ACE_SOCK_STREAM, ACE_NULL_SYNCH >.

void TAO_DIOP_Connection_Handler::local_addr | ( | const ACE_INET_Addr & | addr | ) |

const ACE_INET_Addr & TAO_DIOP_Connection_Handler::local_addr | ( | void |  | ) |

int TAO_DIOP_Connection_Handler::open | ( | void * |  | ) | `[virtual]`

| Called by the <Strategy_Acceptor> when the handler is completely connected. Argument is unused. Reimplemented from ACE_Svc_Handler< ACE_SOCK_STREAM, ACE_NULL_SYNCH >.

int TAO_DIOP_Connection_Handler::open_handler | ( | void * |  | ) | `[virtual]`

| Connection_Handler overloads Implements TAO_Connection_Handler.

int TAO_DIOP_Connection_Handler::open_server | ( | void |  | ) | `[virtual]`

int TAO_DIOP_Connection_Handler::release_os_resources | ( | void |  | ) | `[protected, virtual]`

| Reimplemented from TAO_Connection_Handler.

int TAO_DIOP_Connection_Handler::resume_handler | ( | void |  | ) | `[virtual]`

| Reimplemented from ACE_Event_Handler.

void TAO_DIOP_Connection_Handler::server_addr | ( | const ACE_INET_Addr & | addr | ) |

const ACE_INET_Addr& TAO_DIOP_Connection_Handler::server_addr | ( | void |  | ) |

## Member Data Documentation

ACE_INET_Addr TAO_DIOP_Connection_Handler::addr_`[protected]`

| This is always the remote address.

ACE_INET_Addr TAO_DIOP_Connection_Handler::local_addr_`[protected]`

| This is always the local address for the connector.

TAO_DIOP_Properties* TAO_DIOP_Connection_Handler::tcp_properties_`[private]`

| TCP configuration for this connection.

ACE_SOCK_Dgram TAO_DIOP_Connection_Handler::udp_socket_`[protected]`

The documentation for this class was generated from the following files:

- DIOP_Connection_Handler.h
- DIOP_Connection_Handler.cpp